vechu.c File Reference

DSDPDataMat for sparse matrices in upper full symmetric format. More...

Go to the source code of this file.

## Functions

int | DSDPGetVecUMat (int n, int ishift, double alpha, const int ind[], const double val[], int nnz, struct DSDPDataMat_Ops **sops, void **smat)
| Given data in full symmetric format, create a sparse matrix usuable by DSDP.

## Detailed Description

DSDPDataMat for sparse matrices in upper full symmetric format.

Definition in file vechu.c.

## Function Documentation

## DSDPGetVecUMat()

int DSDPGetVecUMat | ( | int | n,
|  | int | ishift,
|  | double | alpha,
|  | const int | ind[],
|  | const double | val[],
|  | int | nnz,
|  | struct DSDPDataMat_Ops ** | sops,
|  | void ** | smat
| ) |  |

Given data in full symmetric format, create a sparse matrix usuable by DSDP.

Parameters

  n | number of rows and columns of the matrix
  ishift | the index of the first element in the matrix (usually 0)
  alpha | the multiple of these matrix.
  ind | array of matrix indices.
  val | array of matrix values.
  nnz | number of elements in array.
  sops | address of a pointer to a table of function pointers
  smat | address of a pointer to an opaque data type.

Definition at line 454 of file vechu.c.